## kde-gtk-config 6.5.1+p24.04+vstable+git20251029.0636

=== debian/changelog ===
kde-gtk-config (4:6.5.1+p24.04+vstable+git20251029.0636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:36:27 +0000

kde-gtk-config (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:40:24 +0000

=== debian/control ===
Source: kde-gtk-config
Section: kde
Priority: optional
Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gsettings-desktop-schemas-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               libgtk-3-dev,
               libgtk2.0-dev,
               libkdecorations3-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-svg-dev,
               sassc
Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
Standards-Version: 4.2.1
Vcs-Git: https://invent.kde.org/neon/kde/kde-gtk-config.git
Vcs-Browser: https://invent.kde.org/neon/kde/kde-gtk-config
Maintainer: Neon CI <neon@kde.org>

Package: kde-config-gtk-style
Architecture: any
Depends: xsettingsd, ${misc:Depends}, ${shlibs:Depends}
Suggests: kde-config-gtk-style-preview
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains kde-gtk-config module for KDE System Settings and
 common files (icons, localization files and etc).

Package: kde-config-gtk-style-preview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-gtk-style
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains binary files for previewing Gtk themes and applying
 them without restarting of Gtk applications.

## kde-gtk-config 6.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kde-gtk-config)
set(PROJECT_VERSION "6.5.2")

set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Svg)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS ColorScheme CoreAddons Config GuiAddons DBusAddons WindowSystem)
find_package(PkgConfig REQUIRED)
find_package(KDecoration3 REQUIRED)
find_package(GSettingSchemas REQUIRED)
find_package(Sass REQUIRED)
find_package(XSettingsd)

pkg_check_modules(GTK+3 REQUIRED IMPORTED_TARGET gtk+-3.0)
pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET glib-2.0)
pkg_check_modules(GObject REQUIRED IMPORTED_TARGET gobject-2.0)
pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0)


set_package_properties(XSettingsd PROPERTIES
    DESCRIPTION "XSettingsd daemon"
    TYPE RUNTIME
    PURPOSE "Required to apply settings to GTK applications on the fly"
)

set_package_properties(Sass PROPERTIES
    DESCRIPTION "SASS compiler"
    URL "https://sass-lang.com/"
    PURPOSE "Required for building a modification, that allows Breeze GTK to change it's window decorations' appearance"
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake kded/config.h)

add_subdirectory(gtk3proxies)
add_subdirectory(kded)
add_subdirectory(kconf_update)
add_subdirectory(color-reload-module)
add_subdirectory(window-decorations-reload-module)

ecm_qt_install_logging_categories(
    EXPORT KDE_GTK_CONFIG
    FILE kde-gtk-config.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kconf_update/CMakeLists.txt ===
add_executable(gtk_theme)

target_sources (gtk_theme
  PRIVATE
    gtktheme.cpp
    ../kded/config_editor/gsettings.cpp
    ../kded/config_editor/gtk2.cpp
    ../kded/config_editor/settings_ini.cpp
    ../kded/config_editor/utils.cpp
    ../kded/config_editor/xsettings.cpp
)

target_link_libraries(gtk_theme
  PRIVATE
    Qt::Core
    KF6::ConfigCore
    KF6::GuiAddons
    PkgConfig::GIO
    PkgConfig::GObject
)

target_include_directories(gtk_theme
  PRIVATE
    ../kded/
)

target_compile_definitions(gtk_theme
  PRIVATE
    QT_NO_SIGNALS_SLOTS_KEYWORDS
)

install(
  TARGETS
    gtk_theme
  DESTINATION
    ${KDE_INSTALL_LIBDIR}/kconf_update_bin/
)

add_executable(remove_deprecated_gtk4_option_v2
  remove_deprecated_gtk4_option_v2.cpp
   ../kded/config_editor/settings_ini.cpp
   ../kded/config_editor/utils.cpp
)

target_link_libraries(remove_deprecated_gtk4_option_v2
  PRIVATE
    Qt::Core
    KF6::ConfigCore
    KF6::GuiAddons
    PkgConfig::GIO
    PkgConfig::GObject
)

target_include_directories(remove_deprecated_gtk4_option_v2
  PRIVATE
    ../kded/
)

target_compile_definitions(remove_deprecated_gtk4_option_v2
  PRIVATE
    QT_NO_SIGNALS_SLOTS_KEYWORDS
)

install(
  TARGETS
    remove_deprecated_gtk4_option_v2
  DESTINATION
    ${KDE_INSTALL_LIBDIR}/kconf_update_bin/
)

install(
  FILES
    gtkconfig.upd
  DESTINATION
    ${KDE_INSTALL_KCONFUPDATEDIR}
)
install(
  PROGRAMS
    remove_window_decorations_from_gtk_css.sh
  DESTINATION
    ${KDE_INSTALL_KCONFUPDATEDIR}
)

=== debian/changelog ===
kde-gtk-config (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:02 +0000

kde-gtk-config (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:15 +0000

kde-gtk-config (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:35:57 +0100

=== debian/control ===
Source: kde-gtk-config
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               gsettings-desktop-schemas,
               libgtk-3-dev,
               libkdecorations3-dev (>= 4:6.5.2~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               sassc,
Homepage: https://invent.kde.org/plasma/kde-gtk-config
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: kde-config-gtk-style
Architecture: any
Depends: gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends},
Recommends: xsettingsd | xsettings-kde,
Suggests: kde-config-gtk-style-preview,
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains kde-gtk-config module for KDE System Settings and
 common files (icons, localization files and etc).

Package: kde-config-gtk-style-preview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kde-config-gtk-style,
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains binary files for previewing Gtk themes and applying
 them without restarting of Gtk applications.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## kde-gtk-config 6.5.3

=== debian/changelog ===
kde-gtk-config (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:22 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations3-dev (>= 4:6.5.2~),
+               libkdecorations3-dev (>= 4:6.5.3~),
                libkf6colorscheme-dev (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),

## kde-gtk-config 6.5.3+p24.04+vstable+git20251123.0637

=== debian/changelog ===
kde-gtk-config (4:6.5.3+p24.04+vstable+git20251123.0637-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 06:37:00 +0000

kde-gtk-config (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:05 +1000

kde-gtk-config (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:24 +1000

## kde-gtk-config 6.5.3+p24.04+vunstable+git20251123.0116

=== debian/changelog ===
kde-gtk-config (4:6.5.3+p24.04+vunstable+git20251123.0116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:16:10 +0000

## kde-gtk-config 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.4")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kde-gtk-config (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:16:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations3-dev (>= 4:6.5.3~),
+               libkdecorations3-dev (>= 4:6.5.4~),
                libkf6colorscheme-dev (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),

## kde-gtk-config 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kde-gtk-config (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:54:13 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations3-dev (>= 4:6.5.4~),
+               libkdecorations3-dev (>= 4:6.5.5~),
                libkf6colorscheme-dev (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),

## kde-gtk-config 6.5.5+p24.04+vstable+git20260114.0222

=== debian/changelog ===
kde-gtk-config (4:6.5.5+p24.04+vstable+git20260114.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 02:22:45 +0000

kde-gtk-config (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:53 +1000

kde-gtk-config (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:20 +1000

## kde-gtk-config 6.5.5+p24.04+vstable+git20260128.0350

=== debian/changelog ===
kde-gtk-config (4:6.5.5+p24.04+vstable+git20260128.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 03:50:26 +0000

## kde-gtk-config 6.5.5+p24.04+vunstable+git20260113.2223

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
kde-gtk-config (4:6.5.5+p24.04+vunstable+git20260113.2223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 22:23:55 +0000

## kde-gtk-config 6.5.5+p24.04+vunstable+git20260126.1008

=== debian/changelog ===
kde-gtk-config (4:6.5.5+p24.04+vunstable+git20260126.1008-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 10:08:08 +0000

## kde-gtk-config 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
kde-gtk-config (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:12:43 +0000

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,21 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations3-dev (>= 4:6.5.5~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6guiaddons-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
+               libkdecorations3-dev (>= 4:6.6.1~),
+               libkf6colorscheme-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6guiaddons-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
                libx11-dev,
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
-               qt6-svg-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config

## kde-gtk-config 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
kde-gtk-config (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:15 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations3-dev (>= 4:6.6.1~),
+               libkdecorations3-dev (>= 4:6.6.2~),
                libkf6colorscheme-dev (>= 6.22.0~),
                libkf6config-dev (>= 6.22.0~),
                libkf6coreaddons-dev (>= 6.22.0~),
